#!/bin/bash
# crée un nouveau fichier d'illustration à partir d'un modèle
	if [ -z "$1" ]; then
	    echo "Erreur : Veuillez spécifier un nom pour le fichier d'illustration." >&2
	    exit 1
	fi

	extension="kra"
	# choix du modèle de base
	if [ "$2" ]; then
	    extension=$2
	fi

	nom_illustration=$1
	dossier_illustrations="illustrations"

	echo "création du dossier d'illustrations: $nom_illustration"
	mkdir -p $dossier_illustrations
	cp _models/illustrations/base_dessin.$extension "$dossier_illustrations/$nom_illustration.$extension"
	date2name -w "$dossier_illustrations/$nom_illustration.$extension"
	rangereal "$dossier_illustrations/*$extension"

	ls -l "$dossier_illustrations/$nom_illustration.$extension"
	echo "fichier d'illustration $nom_illustration.$extension créé"
	exit 0
